/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(24);
    
    // *** change view background color
    // pg 22
    rgb_color  pinkColor = {255, 160, 220, 0};
    SetViewColor(pinkColor);
}


void MyDrawView::Draw(BRect)
{
// only one view, so forget the outlining of it:
//   BRect frame = Bounds(); 
//   StrokeRect(frame);

// okay, we got the point in example P01. Now omit:
// MovePenTo(BPoint(10, 30));
// DrawString("My Drawing View");

   BRect      aRect;
   rgb_color  redColor = {255, 0, 0, 0};
   rgb_color  blueColor;

   blueColor.red = 0;
   blueColor.green = 0;
   blueColor.blue = 255;
   blueColor.alpha = 0;

   SetHighColor(redColor);
   SetLowColor(blueColor);

   aRect.Set(10, 10, 110, 110);
   FillRect(aRect, B_SOLID_HIGH);

   aRect.Set(120, 10, 220, 110);
   FillRect(aRect, B_SOLID_LOW);

   aRect.Set(230, 10, 330, 110);
   FillRect(aRect, B_MIXED_COLORS);
}













