/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif

/*
Note for me:

      BPictureButton(BRect frame, const char* name, 
         BPicture *off, 
         BPicture *on, 
         BMessage *message, 
         uint32 behavior = B_ONE_STATE_BUTTON, 
         uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP, 
         uint32 flags = B_WILL_DRAW | B_NAVIGABLE) 

      BButton(BRect frame, const char *name, 
         const char *label, 
         BMessage *message, 
         uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP, 
         uint32 flags = B_WILL_DRAW | B_NAVIGABLE) 

*/

BRect  pictureBeep1Rect(20.0, 60.0, 50.0, 90.0);
const char* pictureBeep1Name = "Beep1";


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_RESIZABLE)
{
    frame.OffsetTo(B_ORIGIN);
    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);


// *** NEW 
BPicture  *buttonOffPict;
BPicture  *buttonOnPict;

// *** CREATE button pictures here ***
   fMyView->BeginPicture(new BPicture); 
       BRect  offRect;
      
      offRect.Set(0.0, 0.0, 30.0, 30.0);		
      fMyView->FillRect(offRect, B_SOLID_LOW);
      fMyView->StrokeRect(offRect, B_SOLID_HIGH);
   buttonOffPict = fMyView->EndPicture();
 
   fMyView->BeginPicture(new BPicture); 
      BRect  onRect;

      onRect.Set(0.0, 0.0, 30.0, 30.0);
      fMyView->StrokeRect(onRect, B_SOLID_LOW);
      onRect.InsetBy(2.0, 2.0);
      fMyView->StrokeRect(onRect, B_SOLID_HIGH);
      onRect.InsetBy(2.0, 2.0);
      fMyView->FillRect(onRect, B_SOLID_HIGH);
    buttonOnPict = fMyView->EndPicture();
  
   
	fPicButtonBeep = new BPictureButton(	pictureBeep1Rect, 
								pictureBeep1Name, 
								buttonOffPict, 
								buttonOnPict, 
								new BMessage(PICTURE_BEEP_MSG));
	fMyView->AddChild(fPicButtonBeep);

// For more complex pictures you'll use bitmaps -- refer reader to C10?)
// Here's how the On button would look like:
//
//   BPicture *buttonOnPict; 
//   fMyView->BeginPicture(new BPicture); 
//      fMyView->DrawBitmap(&onButtonBitmap); 
//   buttonOnPicture = fMyView->EndPicture();

// *** NEW

    Show();
}


bool MyHelloWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(TRUE);
}

// *** NEW
void MyHelloWindow::MessageReceived(BMessage* message)
{
    bigtime_t  microseconds = 1000000;  // one second

	switch(message->what)
	{
		case PICTURE_BEEP_MSG:
		  	beep();
		  	break;
		  	
		default:
			BWindow::MessageReceived(message);
	}
}
// *** NEW
