/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
// ******* NEW ******************************************************
	BRect        stringFrame(10.0, 10.0, 250.0, 30.0);

	fString = new BStringView(stringFrame, "MyString", 
                           "This string will be automatically updated");
	AddChild(fString);

//	Text of the string is changed by invoking the BStringView member
//	function SetText():
	fString->SetText("Here's the new text");

//	Alignment of text within the BStringView boundary rectangle is
//	changed by invoking the BStringView member function SetAlignment():
	fString->SetAlignment(B_ALIGN_RIGHT);
	
//	Color of text is changed by altering the string view's high color
//	(BStringView is a BView-derived class so use BView member functions):
	rgb_color  redColor = {255, 0, 0, 0};
	fString->SetHighColor(redColor);
	
//	Font characteristics are changed by invoking BView font-related
//	member functions such as SetFont() and SetFontSize():
    fString->SetFont(be_bold_font); 
    fString->SetFontSize(18);
    
// 	Don't need this next call, string updates to red without it.
// 	The call to SetHighColor() must be enough to update the view
//	theString->Invalidate();    

// ******* NEW ******************************************************
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
}


void MyDrawView::Draw(BRect)
{
}











