/*
	MyDrawView.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloView.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif


#define   TEXT_INSET   3.0

BRect  viewFrame(20.0, 20.0, 220.0, 80.0);


MyDrawView::MyDrawView(BRect rect, char *name)
    : BView(rect, name, B_FOLLOW_ALL, B_WILL_DRAW)
{
	BRect  textBounds;
	
	textBounds.left = TEXT_INSET;
	textBounds.right = viewFrame.right - viewFrame.left - TEXT_INSET;
	textBounds.top = TEXT_INSET;
	textBounds.bottom = viewFrame.bottom - viewFrame.top - TEXT_INSET;

	fTextView = new BTextView(viewFrame, "MyTextView", textBounds,
           B_FOLLOW_NONE, B_WILL_DRAW);
	AddChild(fTextView);
	
	viewFrame.InsetBy(-2.0, -2.0);
	
	// ********** FOLLOWING IS NEW ***********
BScrollBar  *verticalBar;
BRect       scrollFrame;
float       min = 0.0;
float       max = 100.0;

scrollFrame = viewFrame;
scrollFrame.left = scrollFrame.right;
scrollFrame.right = scrollFrame.left + B_V_SCROLL_BAR_WIDTH;

verticalBar = new BScrollBar(scrollFrame, "VerticalBar", fTextView, min, max, B_VERTICAL);
AddChild(verticalBar);
verticalBar->SetResizingMode(B_FOLLOW_NONE);
	
	// ********** END OF NEW *****************
	
}


void MyDrawView::AttachedToWindow() 
{
    SetFont(be_bold_font); 
    SetFontSize(12);
    
	fTextView->MakeFocus();
}


void MyDrawView::Draw(BRect)
{
	StrokeRect(viewFrame);
}











