/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif
#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

#ifndef MY_HELLO_WORLD_H
#include "MyHelloWorld.h"
#endif

#define   MENU_BAR_HEIGHT   18.0


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_ZOOMABLE)
{
	frame.OffsetTo(B_ORIGIN);
	frame.top += MENU_BAR_HEIGHT + 1.0;

    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);

	BMenu		*menu;
	BRect		menuBarRect;

	menuBarRect.Set(0.0, 0.0, 10000.0, MENU_BAR_HEIGHT);
	fMenuBar = new BMenuBar(menuBarRect, "MenuBar");
	AddChild(fMenuBar);
	
	menu = new BMenu("File");
	fMenuBar->AddItem(menu);
	menu->AddItem(new BMenuItem("New Window", new BMessage(MENU_NEW_WINDOW_MSG)));

	Show();
}


bool MyHelloWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);

    return(true);
}


void MyHelloWindow::MessageReceived(BMessage* message)
{
	switch (message->what) {
	
		case MENU_NEW_WINDOW_MSG:

    		BRect			theRect;
			MyHelloWindow  	*newWindow;
			BWindow 		*oldWindow;
			int32			i = 0;    	
			BMessage      	*newWindowMsg;
			 
			while (oldWindow = be_app->WindowAt(i++)) { 
				newWindowMsg = new BMessage(MOVE_WINDOWS_MSG);
				newWindowMsg->AddPointer("oldWindow", oldWindow);
				be_app->PostMessage(newWindowMsg, be_app);
			}

			theRect.Set(20.0, 30.0, 220.0, 130.0);
    		newWindow = new MyHelloWindow(theRect);
			break;
	
		default:
			BWindow::MessageReceived(message);
	}
}
